## EDU.oswego.cs.dl.util.concurrent
Class FIFOSemaphore.FIFOWaitQueue

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.QueuedSemaphore.WaitQueue
          EDU.oswego.cs.dl.util.concurrent.FIFOSemaphore.FIFOWaitQueue

Enclosing class:
  FIFOSemaphore

    protected static class FIFOSemaphore.FIFOWaitQueue

extends QueuedSemaphore.WaitQueue

Simple linked list queue used in FIFOSemaphore. Methods are not synchronized; they depend on synch of callers

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.QueuedSemaphore.WaitQueue
`QueuedSemaphore.WaitQueue.WaitNode`

Field Summary
`protected QueuedSemaphore.WaitQueue.WaitNode` `head_`
`protected QueuedSemaphore.WaitQueue.WaitNode` `tail_`

Constructor Summary
`protected` `FIFOSemaphore.FIFOWaitQueue()`

Method Summary
`protected QueuedSemaphore.WaitQueue.WaitNode` `extract()`
`protected void` `insert(QueuedSemaphore.WaitQueue.WaitNode w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head_

    protected QueuedSemaphore.WaitQueue.WaitNode head_

### tail_

    protected QueuedSemaphore.WaitQueue.WaitNode tail_

Constructor Detail

### FIFOSemaphore.FIFOWaitQueue

    protected FIFOSemaphore.FIFOWaitQueue()

Method Detail

### insert

    protected void insert(QueuedSemaphore.WaitQueue.WaitNode w)

  Specified by:
    `insert` in class `QueuedSemaphore.WaitQueue`

### extract

    protected QueuedSemaphore.WaitQueue.WaitNode extract()

  Specified by:
    `extract` in class `QueuedSemaphore.WaitQueue`